Bug 1869653 - /usr/share/root/cmake/ROOTConfig-targets.cmake references non-installable files
Summary: /usr/share/root/cmake/ROOTConfig-targets.cmake references non-installable files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: root
Version: 32
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-18 13:02 UTC by Dennis Klein
Modified: 2020-09-08 15:59 UTC (History)
1 user (show)

Fixed In Version: root-6.22.00-7.fc33 root-6.22.00-7.fc34 root-6.22.02-1.fc32 root-6.22.02-1.fc31 root-6.22.02-1.el8 root-6.22.02-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-31 15:49:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Dennis Klein 2020-08-18 13:02:07 UTC
Description of problem:
/usr/share/root/cmake/ROOTConfig-targets.cmake (root-core-6.22.00-1.fc32.x86_64) references non-installable files:
* /usr/lib64/root/libROOTPythonizations3_8.so.6.22.00
* /usr/lib64/root/libJupyROOT3_8.so.6.22.00

Version-Release number of selected component (if applicable): 6.22.00-1.fc32.x86_64
How reproducible: always

Steps to Reproduce:
1. cd to a CMake project directory that uses `find_package(ROOT)`
2. Running the CMake configure phase, e.g. `cmake -S. -Bbuild` results in

CMake Warning at /usr/share/root/cmake/ROOTConfig-targets.cmake:1360 (message):
  The imported target "ROOT::ROOTPythonizations3_8" references the file

     "/usr/lib64/root/libROOTPythonizations3_8.so.6.22.00"

  but this file does not exist.  If this target is used you need to install
  the package that provides this file

     dnf install /usr/lib64/root/libROOTPythonizations3_8.so.6.22.00

  If this target is not used this warning can be ignored.

CMake Warning at /usr/share/root/cmake/ROOTConfig-targets.cmake:1360 (message):
  The imported target "ROOT::JupyROOT3_8" references the file

     "/usr/lib64/root/libJupyROOT3_8.so.6.22.00"

  but this file does not exist.  If this target is used you need to install
  the package that provides this file

     dnf install /usr/lib64/root/libJupyROOT3_8.so.6.22.00

  If this target is not used this warning can be ignored.

Actual results:
$ sudo dnf install /usr/lib64/root/libROOTPythonizations3_8.so.6.22.00
Last metadata expiration check: 2:09:37 ago on Tue 18 Aug 2020 12:30:22 PM CEST.
No match for argument: /usr/lib64/root/libROOTPythonizations3_8.so.6.22.00
Error: Unable to find a match: /usr/lib64/root/libROOTPythonizations3_8.so.6.22.00
$ sudo dnf install /usr/lib64/root/libJupyROOT3_8.so.6.22.00
Last metadata expiration check: 2:09:46 ago on Tue 18 Aug 2020 12:30:22 PM CEST.
No match for argument: /usr/lib64/root/libJupyROOT3_8.so.6.22.00
Error: Unable to find a match: /usr/lib64/root/libJupyROOT3_8.so.6.22.00

Expected results:
The /usr/share/root/cmake/ROOTConfig-targets.cmake file references the actual libs in
* /usr/lib64/python3.8/site-packages/libROOTPythonizations3_8.cpython-38-x86_64-linux-gnu.so (python3-root-6.22.00-1.fc32.x86_64)
* /usr/lib64/python3.8/site-packages/libJupyROOT3_8.cpython-38-x86_64-linux-gnu.so (python3-jupyroot-6.22.00-1.fc32.x86_64)
so that dnf can match them to the correct packages.

Comment 1 Mattias Ellert 2020-08-22 04:49:11 UTC
Fixed in Fedora 33 and Rawhide.

Comment 2 Fedora Update System 2020-08-23 23:02:07 UTC
FEDORA-2020-543bedc44c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-543bedc44c

Comment 3 Fedora Update System 2020-08-23 23:02:09 UTC
FEDORA-2020-a55be98ca8 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a55be98ca8

Comment 4 Fedora Update System 2020-08-23 23:02:11 UTC
FEDORA-EPEL-2020-60865a6b26 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-60865a6b26

Comment 5 Fedora Update System 2020-08-24 01:30:53 UTC
FEDORA-EPEL-2020-60865a6b26 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-60865a6b26

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-08-24 01:47:27 UTC
FEDORA-2020-a55be98ca8 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a55be98ca8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a55be98ca8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-08-24 02:02:44 UTC
FEDORA-2020-543bedc44c has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-543bedc44c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-543bedc44c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-08-24 13:35:01 UTC
FEDORA-EPEL-2020-3cbe001af0 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-3cbe001af0

Comment 9 Fedora Update System 2020-08-25 01:34:19 UTC
FEDORA-EPEL-2020-3cbe001af0 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-3cbe001af0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-08-31 15:49:27 UTC
FEDORA-2020-a55be98ca8 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-08-31 16:00:22 UTC
FEDORA-2020-543bedc44c has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-09-07 16:29:33 UTC
FEDORA-EPEL-2020-60865a6b26 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-09-08 15:59:19 UTC
FEDORA-EPEL-2020-3cbe001af0 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.